function epo = baseline_epochs(epo,base_ival)
%BASELINE_EPOCHS - Triel-wise baseline epochs
%
%Synopsis:
% EPO= baseline_epochs(EPO)
%
%Arguments:
% EPO -      data structure of epoched data
%
%Returns:
% EPO     - updated data structure with fields


T = size(epo.x,1);

% indeces of baseline interval
idx = find(epo.t==base_ival(1)):find(epo.t==base_ival(2));

% mean of base interval
baseline = mean(epo.x(idx,:,:),1);

% subtract baseline from each epoch
epo.x = epo.x - repmat(baseline,[T 1 1]);
